Download it now!
Bug 130070 - Calc sidebar NumberFormatPropertyPanel: currency dropdown list scrollbar is not visible
Summary: Calc sidebar NumberFormatPropertyPanel: currency dropdown list scrollbar is n...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0
Keywords: possibleRegression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2020-01-18 13:42 UTC by Kevin Suo
Modified: 2020-01-18 19:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
how it looks for me (183.09 KB, image/png)
2020-01-18 14:27 UTC, Caolán McNamara
Details
how it looks for kompi (137.82 KB, image/png)
2020-01-18 14:31 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2020-01-18 13:42:22 UTC
Description:
The currency format dropdown in Calc number format panel is not showing completely on master, possibly gtk3 only.

Steps to Reproduce:
1. Open a master build of Calc, maximize the application window.
2. Go to number format property panel of the sidebar, click the currency format dropdown list.

Actual Results:
The currency format dropdown is showing right to the desktop area, which causes the scroll bar (as well as part of the list content) not visible.

Expected Results:
The dropdown list should completely shown, with a vertical scroll bar.


Reproducible: Always


User Profile Reset: No



Additional Info:
Possiblly caused by the following commit:

committer Caolán McNamara 2020-01-01 13:19:28 +0100
commit	b199e335c01f265ba2604c020928b63356b42d15
weld NumberFormatPropertyPanel

Ubuntu 18.04 LTS
Version: 6.5.0.0.alpha0+
Build ID: f150876698b5cea4857abcc5bd2e37fd4b038a17
CPU Thread: 4; OS: Linux 5.0; UI Render: Default; VCL: gtk3; 
Locale: zh-CN (zh_CN.UTF-8); UI Language: zh-CN
Calc: threaded
Comment 1 Roman Kuznetsov 2020-01-18 14:03:39 UTC
no problem in Windows

Версия: 6.5.0.0.alpha0+ (x64)
ID сборки: 08a0ede627fbf9bea42165c3de63812e469306b4
Потоков ЦП: 4; ОС:Windows 10.0 Build 17763; Отрисовка ИП: GL; VCL: win; 
Локаль: ru-RU (ru_RU); Язык интерфейса: ru-RU
Calc: threaded
Comment 2 Roman Kuznetsov 2020-01-18 14:07:56 UTC
confrim in

Version: 6.5.0.0.alpha0+
Build ID: 6095612850973388ba5b121b34d02292a2548e7d
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-01-17_00:43:05
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

but not in

Version: 6.5.0.0.alpha0+
Build ID: 6095612850973388ba5b121b34d02292a2548e7d
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-01-17_00:43:05
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

so it's gtk3 only problem

Caolan, could you look at it?
Comment 3 Caolán McNamara 2020-01-18 14:27:48 UTC
Created attachment 157243 [details]
how it looks for me
Comment 4 Roman Kuznetsov 2020-01-18 14:31:22 UTC
Created attachment 157244 [details]
how it looks for kompi
Comment 5 Roman Kuznetsov 2020-01-18 14:33:32 UTC
(In reply to Roman Kuznetsov from comment #4)
> Created attachment 157244 [details]
> how it looks for kompi

hm... I started LO with vcl:gtk3 in KDE environment. may be problem with it?

Kevin, can you attach your screenshot?
Comment 6 Caolán McNamara 2020-01-18 14:37:01 UTC
its a x11 vs wayland thing, my default is wayland hence the difference in the screenshots. I can see it by using x11
Comment 7 Kevin Suo 2020-01-18 15:01:46 UTC
(In reply to Roman Kuznetsov from comment #5)
Not sure how to take a screenshot when I need to click a drop-down list. I tried it in Ubuntu 18.04, but the screenshot does not show the dropdown dialog. (I know I can do this with a screen cast software)

As caolan seems already know the problem, I think a screenshot is not needed here anymore.
Comment 8 Kevin Suo 2020-01-18 15:05:32 UTC
(In reply to Caolán McNamara from comment #6)

caolan: I have to point out that the same bug exits for the "Cell Appearance" panel also. Is it the same cause? Do I need to file separate bug for that?
Comment 9 Kevin Suo 2020-01-18 15:08:02 UTC
(In reply to Kevin Suo from comment #8)
> caolan: I have to point out that the same bug exits for the "Cell Appearance" panel also. Is it the same cause? Do I need to file separate bug for that?

And also in Writer sidebar -- all those which has that same kind of control.
Comment 10 Caolán McNamara 2020-01-18 16:48:54 UTC
no need for separate bugs its all the same problem
Comment 11 Commit Notification 2020-01-18 19:23:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0b240f9e1487ea13677e93ecaa7099f68ff63a3e

Resolves: tdf#130070 keep dropdown menu fully on screen

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.